Start a conformance run against an owned connection
curl --request POST \
--url https://chargerdojo.com/api/v1/testing/runs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"connectionId": "<string>",
"module": "<string>",
"seed": "<string>"
}
'import requests
url = "https://chargerdojo.com/api/v1/testing/runs"
payload = {
"connectionId": "<string>",
"module": "<string>",
"seed": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({connectionId: '<string>', module: '<string>', seed: '<string>'})
};
fetch('https://chargerdojo.com/api/v1/testing/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"executionId": "<string>",
"reportId": "<string>",
"status": "completed",
"seed": "<string>",
"summary": {
"total": 123,
"passed": 123,
"failed": 123,
"warned": 123,
"unobservable": 123
},
"withheldModules": [
"<string>"
],
"error": "<string>"
},
"meta": {
"limit": 123,
"skip": 123,
"nextCursor": "<string>"
}
}{
"success": true,
"data": {
"executionId": "<string>",
"reportId": "<string>",
"status": "queued",
"seed": "<string>",
"draining": true
},
"meta": {
"limit": 123,
"skip": 123,
"nextCursor": "<string>"
}
}{
"success": false,
"message": "<string>",
"status": "error",
"code": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"capability": "external-endpoints",
"limit": {
"id": "connections",
"used": 123,
"cap": 123
}
}{
"success": false,
"message": "<string>",
"status": "error",
"code": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"capability": "external-endpoints",
"limit": {
"id": "connections",
"used": 123,
"cap": 123
}
}{
"success": false,
"message": "<string>",
"status": "error",
"code": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"capability": "external-endpoints",
"limit": {
"id": "connections",
"used": 123,
"cap": 123
}
}{
"success": false,
"message": "<string>",
"status": "error",
"code": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"capability": "external-endpoints",
"limit": {
"id": "connections",
"used": 123,
"cap": 123
}
}{
"success": false,
"message": "<string>",
"status": "error",
"code": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"capability": "external-endpoints",
"limit": {
"id": "connections",
"used": 123,
"cap": 123
}
}{
"success": false,
"message": "<string>",
"status": "error",
"code": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"capability": "external-endpoints",
"limit": {
"id": "connections",
"used": 123,
"cap": 123
}
}{
"success": false,
"message": "<string>",
"status": "error",
"code": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"capability": "external-endpoints",
"limit": {
"id": "connections",
"used": 123,
"cap": 123
}
}Testing
Start a conformance run
Queue a conformance run against a registered connection you own, optionally scoped to one suite or module. Returns the run id to poll for the graded report.
POST
/
testing
/
runs
Start a conformance run against an owned connection
Authorizations
A cdojo_... API key created in the app under Settings.
Query Parameters
Seconds to long-poll before answering. Values above 55 are clamped to 55. Omit to answer immediately.
Required range:
1 <= x <= 55Body
application/json